from enum import Enum


class Routes(str, Enum):
    healthcheck = "healthcheck"
    username_login = "login"
    api_key_login = "login/api_key"
    social_login = "login/social"
    get_token = "get-token"
    refresh_token = "refresh_token"
    current_user = "current_user"
    projects = "projects"
    project = "projects/{project_id}"
    project_groups = "projects/{project_id}/groups"
    project_users = "projects/{project_id}/users"
    groups = "groups"
    group_members = "groups/{group_id}/members"
    invite_users = "invite_users"
    users = "users"
    create_api_key = "users/api_keys"
    get_api_keys = "users/{user_id}/api_keys"
    delete_api_key = "users/api_keys/{api_key_id}"
    update_user = "users/{user_id}"
    datasets = "datasets"
    dataset_content = "datasets/{dataset_id}/content"
    metric_critiques = "projects/{project_id}/metric_critiques"
    metric_critique = "projects/{project_id}/metric_critiques/{critique_id}"
    metric_critique_scorers = "projects/{project_id}/runs/{run_id}/metric_critiques/scorers"
    integrations = "integrations"
    create_update_integration = "integrations/{integration_name}"
    integration_users = "integrations/{integration_id}/users"
    integration_groups = "integrations/{integration_id}/groups"
